g++ compilation

Hi everyone,
When I try compiling lammps with g++ machine I recieve an error saying that mpi.h is missing.
I did check through synaptic package manager and I think I have all of the required libs (g++4, MPICH2, FFTW) installed.
please help me about this,
thanks

Hi everyone,
When I try compiling lammps with g++ machine I recieve an error saying that
mpi.h is missing.
I did check through synaptic package manager and I think I have all of the
required libs (g++4, MPICH2, FFTW) installed.

does this include the development packages?
most linux distribution split those into two parts.
one is needed to run applications that use those
features, and the second is needed for compilation.

also, please re-read the installation instructions.
you not only need to have those packages
installed (including the development version),
but also may need to adjust the Makefile.

axel.